Subject: bug#53136: 28.0.90; segfault in lock_file

From: Po Lu <[email-masked]>
Date: Wed, 12 Jan 2022 08:35:52 +0800

Paul Eggert <[email-masked]> writes:

> 3. Compile Emacs code with B_USE_POSITIVE_POSIX_ERRORS, and use linker
> magic only on this code; do not use linker magic on library code
> (e.g., -ltracker) so that Haiku library code uses the original
> functions. That way, Emacs source code proper would need to worry
> about negative errno values only in haiku*.c files that call
> Haiku-specific libraries. If this is feasible, it should be much less
> work and more maintainable. Could you look into that?

I tried yesterday and got many mysterious assertation failures in the
system library code, but it won't hurt to take another crack at that.

Thanks.